Subject: Re: [ipfix] new version of the IPFIX information model

From: Juergen Quittek <[email-masked]>
Date: Mon, 03 Jul 2006 21:56:15 +0200

Dear Hitoshi-Irino,

Thank you again for your careful review.

I will fix this when editing the next version.

    Juergen

--On 26.06.2006 12:16 Uhr +0900 Hitoshi Irino wrote:

> Dear Juergen:
>
> I found another (maybe) mistake. In this draft, Information Elements grouped into 12 groups in a table of contents.
> 12 groups are:
> 5.1.  Identifiers,
> 5.2.  Metering and Exporting Process Configuration
> 5.3.  Metering and Exporting Process Statistics
> 5.4.  IP Header Fields
> 5.5.  Transport Header Fields
> 5.6.  Sub-IP Header Fields
> 5.7.  Derived Packet Properties
> 5.8.  Min/Max Flow Properties
> 5.9.  Flow Time Stamps
> 5.10. Per-Flow Counters
> 5.11. Miscellaneous Flow Properties
> 5.12. Padding
>
> But, in section "5.  Information Elements" in page 18, this draft describes:
>  >The elements are grouped into 9 groups according to their semantics and
>                                 ^
>  >their applicability:
>  >
>  >   1.   Identifiers
>  >   2.   Metering and Exporting Process Properties
>  >   3.   IP Header Fields
>  >   4.   Transport Header Fields
>  >   5.   Sub-IP Header Fields
>  >   6.   Derived Packet Properties
>  >   7.   Min/Max Flow Properties
>  >   8.   Flow Time Stamps
>  >   9.   Per-Flow Counters
>  >   10.  Miscellaneous Flow Properties
>
> The sentence describes "9" groups and 10 groups are listed.
> Isn't this an error in writing?
>
> regrads,
> Hitoshi Irino
>
> Juergen Quittek wrote:
>> Dear Hitoshi Irino,
>>
>> Thank you for the thorough review.
>> I will keep a record for the next revision.
>>
>> Thanks,
>>
>>    Juergen
>>
>> --On 22.06.2006 16:53 Uhr +0900 Hitoshi Irino wrote:
>>
>>> Dear Juergen
>>>
>>> I (probably) found a mistake of the Draft.
>>> Section 5.4.11 is destinationIPv6PrefixLength, but
>>> ElementId 30 is destinationIPv6Mask in the table of Page 16.
>>> Correct IE is destinationIPv6PrefixLength, isn't it?
>>>
>>> regrads,
>>> Hitoshi Irino
>>>
>>> Juergen Quittek wrote:
>>>> Dear all,
>>>>
>>>> I submitted a new version of the IPFIX information model.
>>>> Until it gets posted, please find it at
>>>> <ftp://ftp.netlab.nec.de/pub/internet-drafts/draft-ietf-ipfix-info-12.txt>.
>>>>
>>>>
>>>> The new version includes all changes that were requested
>>>> by the AD review.  Also changes discussed recently on
>>>> the mailing list are included.  Furthermore, a lot of
>>>> clarifications and minor changes have been applied.
>>>>
>>>> Please find a diff between the previous version -11 and
>>>> the new version -12 at
>>>> <ftp://ftp.netlab.nec.de/pub/ipfix/diff-11-12.html>.
>>>>
>>>> Thanks,
>>>>
>>>>    Juergen
>>>>
>>>>
>>>>
>>>> --
>>>> Help        mailto:[email-masked] and say "help" in message
>>>> body
>>>> Unsubscribe mailto:[email-masked] and say
>>>> "unsubscribe ipfix" in message body
>>>> Archive     http://ipfix.doit.wisc.edu/archive/
>>>>
>>>
>>>
>>> --
>>> ----------------------------------------------
>>> NTT Network Service Systems Laboratories
>>>   Broadband Network Systems Project
>>>    Service Edge Group
>>>
>>>     Hitoshi Irino
>>>      Email: [email-masked]
>>>      Tel: +81-422-59-4403  Fax: +81-422-59-4549
>>>
>>>
>>> --
>>> Help        mailto:[email-masked] and say "help" in
>>> message body
>>> Unsubscribe mailto:[email-masked] and say
>>> "unsubscribe ipfix" in message body
>>> Archive     http://ipfix.doit.wisc.edu/archive/
>>
>>
>
>
> --
> ----------------------------------------------
> NTT Network Service Systems Laboratories
>   Broadband Network Systems Project
>    Service Edge Group
>
>     Hitoshi Irino
>      Email: [email-masked]
>      Tel: +81-422-59-4403  Fax: +81-422-59-4549
>
>

--
Help        mailto:[email-masked] and say "help" in message body
Unsubscribe mailto:[email-masked] and say
"unsubscribe ipfix" in message body
Archive     http://ipfix.doit.wisc.edu/archive/